## gnutls28 3.7.7

=== debian/changelog ===
gnutls28 (3.7.7-2ubuntu2.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: timing sidechannel in RSA decryption
    - debian/patches/CVE-2023-0361-1.patch: side-step potential
      side-channel in lib/auth/rsa.c.
    - debian/patches/CVE-2023-0361-2.patch: remove dead code in
      lib/auth/rsa.c.
    - CVE-2023-0361

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 14 Feb 2023 16:10:15 -0500

gnutls28 (3.7.7-2ubuntu2) kinetic; urgency=medium

  * Fix Segmentation Fault due to misdetected Intel AVX support
    (LP: #1988398)

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 01 Sep 2022 07:42:53 +0100

gnutls28 (3.7.7-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
    TLS1.3 with medium security profile (2048 RSA keys minimum, and
    similar).
    - Reduce parallelism in build to 2 to address FTBFS with lto

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Aug 2022 09:33:38 +0200

gnutls28 (3.7.7-2) unstable; urgency=medium

  * 50_01-Avoid-redirection-bashism-in-testsuite.patch: Fix CI error.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 31 Jul 2022 10:32:04 +0200

gnutls28 (3.7.7-1) unstable; urgency=low

  * New upstream bugfix release:  Fixes double free during verification of
    pkcs7 signatures. [GNUTLS-SA-2022-07-07, CVSS: medium] [CVE-2022-2509]
    + Update symbol file.
  * Add lintian overrides for source-is-missing false positives.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Jul 2022 14:09:32 +0200

gnutls28 (3.7.6-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
    TLS1.3 with medium security profile (2048 RSA keys minimum, and
    similar).
    - Reduce parallelism in build to 2 to address FTBFS with lto

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 19 Jun 2022 12:43:43 +0200

gnutls28 (3.7.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 Jun 2022 10:23:16 +0200

gnutls28 (3.7.6-1) experimental; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 28 May 2022 14:31:39 +0200

gnutls28 (3.7.5-1) experimental; urgency=low

  * New upstream version.
    + Update symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 May 2022 08:16:07 +0200

gnutls28 (3.7.4-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
    TLS1.3 with medium security profile (2048 RSA keys minimum, and
    similar).
    - Reduce parallelism in build to 2 to address FTBFS with lto

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Apr 2022 10:25:13 +0200

gnutls28 (3.7.4-2) unstable; urgency=low

  * 40_srptest_doubletimeout.diff: Increase timeout for tests/srp to fix
    occasionasonal error on slow buildds (mipsel, hppa).
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 14 Apr 2022 08:54:25 +0200

gnutls28 (3.7.4-1) experimental; urgency=low

  * Drop superfluous dependency on libopts25-dev.
  * New upstream version.
    + Drop superfluous patches. (40_bashism_in_test.diff
      41_more_bashism_in_test.diff)
    + Update symbol file.
    + libgnutlsxx soname bumped due to ABI break in .1 (db_check_entry and
      db_check_entry now have const parameters).

 -- Andreas Metzler <ametzler@debian.org>  Sun, 03 Apr 2022 13:30:32 +0200
