=== debian/control ===
--- 
+++ 
@@ -13,17 +13,17 @@
  ca-certificates <!nocheck>,
  chrpath,
  datefudge <!nocheck>,
- debhelper-compat (=13),
+ debhelper-compat (= 13),
  freebsd-net-tools [kfreebsd-i386 kfreebsd-amd64] <!nocheck>,
  gperf,
  guile-3.0-dev <!noguile>,
  libcmocka-dev <!nocheck>,
  libidn2-dev,
- libp11-kit-dev (>= 0.23.10),
+ libp11-kit-dev,
  libssl-dev <!nocheck>,
- libtasn1-6-dev (>= 4.9),
- libunbound-dev (>= 1.5.10-1),
- libunistring-dev (>= 0.9.7),
+ libtasn1-6-dev,
+ libunbound-dev,
+ libunistring-dev,
  net-tools [!kfreebsd-i386 !kfreebsd-amd64] <!nocheck>,
  nettle-dev (>= 3.6),
  openssl <!nocheck>,
@@ -32,13 +32,13 @@
  softhsm2 <!nocheck>,
 Build-Depends-Indep:
  gtk-doc-tools,
- texinfo (>= 4.8),
+ texinfo,
  texlive-latex-base,
  texlive-plain-generic,
 Build-Conflicts:
  libgnutls-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnutls-team/gnutls
 Vcs-Git: https://salsa.debian.org/gnutls-team/gnutls.git
 Homepage: https://www.gnutls.org/
@@ -56,7 +56,7 @@
  libgnutls30 (= ${binary:Version}),
  libgnutlsxx30 (= ${binary:Version}),
  libidn2-dev,
- libp11-kit-dev (>= 0.23.10),
+ libp11-kit-dev,
  libtasn1-6-dev,
  nettle-dev (>= 3.6),
  ${misc:Depends},
