=== debian/rules ===
--- 
+++ 
@@ -128,4 +128,4 @@
 	dh_dwz $(BDIR) -Xextra.go -Xgnutls.go
 
 %:
-	dh $@ --builddirectory=b4deb --max-parallel=2
+	dh $@ --builddirectory=b4deb
