=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,6 @@
 	--with-packager=Debian \
 	--with-packager-bug-reports=http://bugs.debian.org/ \
 	--with-packager-version=$(DEB_VERSION) \
-	--with-default-priority-string='NORMAL:-VERS-ALL:+VERS-TLS1.3:+VERS-TLS1.2:+VERS-DTLS1.2:%PROFILE_MEDIUM'
 
 BDIR = -O--builddirectory=b4deb
