## gnutls28 3.8.3

=== debian/changelog ===
gnutls28 (3.8.3-1.1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:17:25 +0000

gnutls28 (3.8.3-1.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libhogweed6t64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Mar 2024 16:42:37 +0100

gnutls28 (3.8.3-1.1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).
    - Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.
    - Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.
    - Fix logic for i386 autopkgtest on an amd64 host
    - Don't run the testsuite under the influence of a configuration file.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Mar 2024 19:00:31 +0100

gnutls28 (3.8.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063297

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 21:26:17 +0000

gnutls28 (3.8.3-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).
    - Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.
    - Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.
    - Fix logic for i386 autopkgtest on an amd64 host
    - Don't run the testsuite under the influence of a configuration file.
  * debian/patches/CVE-2023-5981.patch: dropped, included in new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 26 Jan 2024 07:39:04 -0500

gnutls28 (3.8.3-1) unstable; urgency=medium

  * New upstream version.
    Fix assertion failure when verifying a certificate chain with a cycle of
    cross signatures. CVE-2024-0567 GNUTLS-SA-2024-01-09 Closes: #1061045
    Fix more timing side-channel inside RSA-PSK key exchange. CVE-2024-0553
    GNUTLS-SA-2024-01-14 Closes: #1061046

 -- Andreas Metzler <ametzler@debian.org>  Wed, 17 Jan 2024 18:26:52 +0100

gnutls28 (3.8.2-1) unstable; urgency=medium

  * New upstream version.
    + Drop cherrypicked patches.
    + Update symbol file.
    + Update copyright file.
    + Includes fix for CVE-2023-5981 / GNUTLS-SA-2023-10-23. Closes: #1056188

 -- Andreas Metzler <ametzler@debian.org>  Wed, 29 Nov 2023 08:55:21 +0100

gnutls28 (3.8.1-4ubuntu7) noble; urgency=medium

  * Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.
    See lp-merge #458092 for context.

 -- Adrien Nader <adrien.nader@canonical.com>  Wed, 03 Jan 2024 15:06:38 +0100

gnutls28 (3.8.1-4ubuntu6) noble; urgency=medium

  * SECURITY UPDATE: timing side-channel inside RSA-PSK key exchange
    - debian/patches/CVE-2023-5981.patch: side-step potential side-channel
      in lib/auth/rsa.c, lib/auth/rsa_psk.c, lib/gnutls_int.h,
      lib/priority.c.
    - CVE-2023-5981

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 23 Nov 2023 14:04:17 -0500

gnutls28 (3.8.1-4ubuntu5) noble; urgency=medium

  * armhf (-fstack-clash-protection) breakage rebuild

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 23 Nov 2023 15:13:53 +0000

gnutls28 (3.8.1-4ubuntu4) noble; urgency=medium

  * Don't run the testsuite under the influence of a configuration file. 

 -- Adrien Nader <adrien.nader@canonical.com>  Fri, 17 Nov 2023 11:08:39 +0100

gnutls28 (3.8.1-4ubuntu3) noble; urgency=medium

  * Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.

 -- Adrien Nader <adrien.nader@canonical.com>  Fri, 27 Oct 2023 17:41:58 -0400

gnutls28 (3.8.1-4ubuntu2) noble; urgency=medium

  * Rebuild against latest libunistring

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 27 Oct 2023 06:48:46 -0400
