=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Eric Dorland <eric@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
  Simon Josefsson <simon@josefsson.org>,
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  bison,
  ca-certificates <!nocheck>,
  chrpath,
@@ -50,9 +50,9 @@
  libgnutls-openssl-dev,
 Depends:
  libc6-dev | libc-dev,
- libgnutls-dane0 (= ${binary:Version}),
- libgnutls-openssl27 (= ${binary:Version}),
- libgnutls30 (= ${binary:Version}),
+ libgnutls-dane0t64 (= ${binary:Version}),
+ libgnutls-openssl27t64 (= ${binary:Version}),
+ libgnutls30t64 (= ${binary:Version}),
  libidn2-dev,
  libp11-kit-dev,
  libtasn1-6-dev,
@@ -82,7 +82,10 @@
  .
  This package contains the GnuTLS development files.
 
-Package: libgnutls30
+Package: libgnutls30t64
+Provides: ${t64:Provides}
+Replaces: libgnutls30
+Breaks: libgnutls30 (<< ${source:Version})
 Architecture: any
 Depends:
  ${misc:Depends},
@@ -160,10 +163,13 @@
  .
  This package contains all the GnuTLS documentation.
 
-Package: libgnutls-openssl27
-Architecture: any
-Depends:
- libgnutls30 (= ${binary:Version}),
+Package: libgnutls-openssl27t64
+Provides: ${t64:Provides}
+Replaces: libgnutls-openssl27
+Breaks: libgnutls-openssl27 (<< ${source:Version})
+Architecture: any
+Depends:
+ libgnutls30t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Pre-Depends:
@@ -185,10 +191,13 @@
  .
  This package contains the runtime library of the GnuTLS OpenSSL wrapper.
 
-Package: libgnutls-dane0
-Architecture: any
-Depends:
- libgnutls30 (= ${binary:Version}),
+Package: libgnutls-dane0t64
+Provides: ${t64:Provides}
+Replaces: libgnutls-dane0
+Breaks: libgnutls-dane0 (<< ${source:Version})
+Architecture: any
+Depends:
+ libgnutls30t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Pre-Depends:
